Bug 1731422 - Review Request: R-rpm-macros - Macros to help produce R packages
Summary: Review Request: R-rpm-macros - Macros to help produce R packages
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-19 11:42 UTC by Elliott Sales de Andrade
Modified: 2019-07-25 05:26 UTC (History)
3 users (show)

Fixed In Version: R-rpm-macros-1.0.0-1.fc31~bootstrap
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-25 05:26:08 UTC
Type: ---
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2019-07-19 11:42:02 UTC
Spec URL: https://qulogic.fedorapeople.org//R-rpm-macros.spec
SRPM URL: https://qulogic.fedorapeople.org//R-rpm-macros-1.0.0-1.fc30~bootstrap.src.rpm

Description:
This package contains the R RPM macros, that most implementations should rely
on.

You should not need to install this package manually as the R-devel package
requires it. So install the R-devel package instead.

Comment 1 Elliott Sales de Andrade 2019-07-19 11:42:46 UTC
This is part of the implementation of https://fedoraproject.org/wiki/Changes/Automatic_R_runtime_dependencies

koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=36343893

Comment 2 Elliott Sales de Andrade 2019-07-20 08:54:05 UTC
The Change is now accepted by FESCo: https://pagure.io/fesco/issue/2174

Comment 3 Ankur Sinha (FranciscoD) 2019-07-20 13:09:50 UTC
The package looks pretty good to me. I've not checked what the files, do,
however. There are one or two queries, so please look into them before the
import

XXX APPROVED XXX

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains the mandatory BuildRequires.
  Note: Missing BuildRequires on tex(latex), R-devel
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/R/
^ 
False positive?

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated". 4 files have unknown
     license. Detailed output of licensecheck in /home/asinha/dump/fedora-
     review/1731422-R-rpm-macros/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: Package have the default element marked as %%doc :
[x]: Package requires R-core.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
^
I've not checked this bit

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

R:
[-]: The %check macro is present
[-]: Latest version is packaged.
     Note: The package does not come from one of the standard sources

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: R-rpm-macros-1.0.0-1.fc31~bootstrap.noarch.rpm
          R-rpm-macros-1.0.0-1.fc31~bootstrap.src.rpm
R-rpm-macros.noarch: W: incoherent-version-in-changelog 1.0.0-1 ['1.0.0-1.fc31~bootstrap', '1.0.0-1.fc31~bootstrap']
^
Where does "bootstrap" come from?

R-rpm-macros.noarch: W: only-non-binary-in-usr-lib
R-rpm-macros.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
R-rpm-macros.noarch: W: incoherent-version-in-changelog 1.0.0-1 ['1.0.0-1.fc31~bootstrap', '1.0.0-1.fc31~bootstrap']
R-rpm-macros.noarch: W: invalid-url URL: https://github.com/rpm-software-management/R-rpm-macros <urlopen error [Errno -2] Name or service not known>
R-rpm-macros.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


Source checksums
----------------
https://github.com/rpm-software-management/R-rpm-macros/archive/v1.0.0/R-rpm-macros-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 55a225c038e04889eb4f308d4b722527d5dfe6ec6c1f5f16b4c6e384f4ddca17
  CHECKSUM(SHA256) upstream package : 55a225c038e04889eb4f308d4b722527d5dfe6ec6c1f5f16b4c6e384f4ddca17


Requires
--------
R-rpm-macros (rpmlib, GLIBC filtered):
    /usr/bin/Rscript
    R-core
    rpm


Provides
--------
R-rpm-macros:
    R-rpm-macros

Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1731422
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, R
Disabled plugins: Java, PHP, Haskell, Ocaml, fonts, Python, SugarActivity, Perl, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 José Matos 2019-07-20 16:32:38 UTC
>- Package contains the mandatory BuildRequires.
>  Note: Missing BuildRequires on tex(latex), R-devel
>  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/R/
>^ 
>False positive?

Completely. :-)

fedora-review is considering this as an R package (it is not) since latex is required to build R packages documentation.

Comment 5 Igor Raits 2019-07-20 19:12:18 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-rpm-macros

Comment 6 Elliott Sales de Andrade 2019-07-21 21:41:40 UTC
Thanks Ankur!

Yes, that warning is a false positive as José explained.

The bootstrap in the version comes from defining the bootstrap conditional: https://docs.fedoraproject.org/en-US/packaging-guidelines/#bootstrapping


Note You need to log in before you can comment on or make changes to this bug.